% put in the initial conditions

% Momentum

% x component
for j=1:J+1
  if(xwall(j)< -eps)
     mxnew(j)=mxleft;
  else if(xwall(j) > eps)
          mxnew(j)=mxright;
       else
          mxnew(j)=1/2*(mxright+mxleft);
       end
  end
end

% Velocity

% x component
for j=1:J+1
  if(xwall(j)< eps)
     uxnew(j)=uxleft;
  else
     uxnew(j)=uxright;
  end
end

% density
for j=1:J
  if(xcenter(j)< eps)
     rhonew(j)=rholeft;
  else
     rhonew(j)=rhoright;
  end
end

% pressure
for j=1:J
  if(xcenter(j)< eps)
     pnew(j)=pleft;
  else
     pnew(j)=pright;
  end
end


